# $Revision: 1.19 $, $Date: 2011/12/28 10:39:09 $
# NOTE:
# - don't even try to compile it from source. It requires compiler from
#   java-sun = 1.5 AND rt.jar from java-sun-jre = 1.6
%include	/usr/lib/rpm/macros.java
Summary:	MySQL Connector/J - JDBC driver for MySQL
Summary(pl.UTF-8):	MySQL Connector/J - sterownik JDBC dla MySQL-a
Name:		java-jdbc-mysql
Version:	5.1.18
Release:	1
License:	GPL v2+ + MySQL FLOSS Exception
Group:		Libraries/Java
Source0:	http://sunsite.icm.edu.pl/mysql/Downloads/Connector-J/mysql-connector-java-%{version}.tar.gz
# Source0-md5:	e152392e38977b596a877b3530a407a6
URL:		http://www.mysql.com/products/connector/j/
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	mysql-connector-j
Obsoletes:	mysql-connector-j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Connector/J is a native Java driver that converts JDBC (Java
Database Connectivity) calls into the network protocol used by the
MySQL database. It lets developers working with the Java programming
language easily build programs and applets that interact with MySQL
and connect all corporate data, even in a heterogeneous environment.
MySQL Connector/J is a Type IV JDBC driver and has a complete JDBC
feature set that supports the capabilities of MySQL.

MySQL Connector/J is the official JDBC driver for MySQL.

%description -l pl.UTF-8
MySQL Connector/J to natywny sterownik Javy konwertujący wywołania
JDBC (Java Database Connectivity) na protokół sieciowy używany przez
bazę danych MySQL. Pozwala programistom pracować z użyciem języka
programowania Java łatwo tworząc programy i aplety współpracujące z
MySQL-em i łączyć wszystkie zbiorcze dane, nawet w środowisku
heterogenicznym. MySQL Connector/J jest sterownikiem JDBC typu IV i ma
pełny zbiór możliwości JDBC obsługujący MySQL-a.

MySQL Connector/J to oficjalny sterownik JDBC dla MySQL-a.

%package doc
Summary:	Documentation for MySQL Connector/J
Summary(pl.UTF-8):	Dokumentacja dla MySQL Connector/J
Group:		Documentation
Obsoletes:	mysql-connector-j

%description doc
Documentation for MySQL Connector/J.

%description doc -l pl.UTF-8
Dokumentacja dla MySQL Connector/J.

%prep
%setup -q -n mysql-connector-java-%{version}
rm docs/README.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -p mysql-connector-java-%{version}-bin.jar \
	$RPM_BUILD_ROOT%{_javadir}/mysql-connector-java-%{version}.jar
ln -s mysql-connector-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mysql-connector-java.jar
ln -s mysql-connector-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jdbc-mysql.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{_javadir}/*.jar

%files doc
%defattr(644,root,root,755)
%doc docs/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-jdbc-mysql.spec,v $
Revision 1.19  2011/12/28 10:39:09  glen
- up to 5.1.18

Revision 1.18  2010/04/18 14:58:45  pawelz
- use %{version} in SourceX

Revision 1.17  2009/04/14 14:36:54  pawelz
- create jdbc-mysql.jar as symlink
- rel 2

Revision 1.16  2009/04/14 14:22:43  pawelz
- fixed last commit log (it was rel 1)

Revision 1.15  2009/04/14 14:18:49  pawelz
- use binary package. It is impossible to build it on builders (see NOTE)
- rel 1

Revision 1.14  2009/04/14 11:43:46  pawelz
- renamed to java-jdbc-mysql (cvsadmin: please,
  cp -i mysql-connector-j.spec,v java-jdbc-mysql.spec,v )
- up to 5.1.7

Revision 1.13  2007/12/12 22:59:26  glen
- unify java package; rel 2

Revision 1.12  2007-10-09 16:05:32  glen
- update to 5.0.8

Revision 1.11  2007/05/16 17:59:33  glen
- update to 5.0.6

Revision 1.10  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.8  2006/10/21 13:15:28  glen
- 5.0.4

Revision 1.7  2006/09/19 23:01:19  glen
- rel 1

Revision 1.6  2006/09/19 23:01:06  glen
- build package

Revision 1.5  2006/09/08 22:41:48  glen
- 3.1.13 (still needs finishing)

Revision 1.4  2005/08/26 22:25:06  qboosh
- pl

Revision 1.3  2005/08/22 10:29:40  glen
- adapterized, no extra subdir on -doc package

Revision 1.2  2005/08/22 10:22:17  glen
- updated description

Revision 1.1  2005/08/22 10:21:26  glen
- new
